aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tidyhtml/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-11-21 21:03:53 +0100
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2014-11-21 21:03:53 +0100
commitf55b3f371ed9c97416ff3257d7d1ac6251ad0c00 (patch)
treee64fd81b2b27ac9a972b8f65479aea2ecb77f461 /testing/tidyhtml/APKBUILD
parent1737438dc1b51a7e8f97da50164bc3e2849a3774 (diff)
downloadaports-f55b3f371ed9c97416ff3257d7d1ac6251ad0c00.tar.gz
aports-f55b3f371ed9c97416ff3257d7d1ac6251ad0c00.tar.bz2
aports-f55b3f371ed9c97416ff3257d7d1ac6251ad0c00.tar.xz
testing/tidyhtml: new aport
Diffstat (limited to 'testing/tidyhtml/APKBUILD')
-rw-r--r--testing/tidyhtml/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/tidyhtml/APKBUILD b/testing/tidyhtml/APKBUILD
new file mode 100644
index 0000000000..0ee02d4c4d
--- /dev/null
+++ b/testing/tidyhtml/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=tidyhtml
+pkgver=1.46
+pkgrel=0
+pkgdesc='Tool to tidy down your HTML code to a clean style'
+arch=all
+url='http://tidy.sourceforge.net/'
+license='custom'
+depends=
+makedepends='libtool autoconf automake'
+subpackages="$pkgname-dev"
+source="ftp://ftp.archlinux.org/other/$pkgname/${pkgname}-${pkgver}.tar.bz2"
+
+build(){
+ cd "$srcdir"/$pkgname-$pkgver/tidy
+ source build/gnuauto/setup.sh || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver/tidy
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name \*.la -delete
+
+ install -Dm644 htmldoc/license.html \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="3d970d54be83c5ec985687e9976a2832 tidyhtml-1.46.tar.bz2"
+sha256sums="0555085b98238b7c36c5536a5c71b949fef3b58250b12cc51e5713a662aba7fe tidyhtml-1.46.tar.bz2"
+sha512sums="8d27180af680a1f7a63348b4fcd97fb9d3cf441a4ffb2e6eafc28abcc8e0cdb46f2b9bd234e47bce96a617eaac2227a33618f9e58be6e54badf1285cfda5e593 tidyhtml-1.46.tar.bz2"